Summary:	Open Crypto Development Kit
Name:		opencdk
Version:	0.5.8
Release:	1tr
License:	BSD
Group:		Trustix Official
Source0:	ftp://ftp.gnutls.org/pub/gnutls/opencdk/opencdk-%{version}.tar.gz
URL:		http://www.gnu.org/software/gnutls/
BuildRequires:	libgcrypt-devel >= 1.1.92
BuildRequires:	zlib-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
This library provides basic parts of the OpenPGP message format.

%package devel
Summary:	Header files etc to develop opencdk applications
Group:		Trustix Official
Requires:	%{name} = %{version}-%{release}

%description devel
Header files etc to develop opencdk applications.


%prep
%setup -q

%build
%configure --prefix=%{_prefix}
make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_datadir}/aclocal/
make install DESTDIR=$RPM_BUILD_ROOT
install src/opencdk.m4 $RPM_BUILD_ROOT%{_datadir}/aclocal/

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,0755)
%doc AUTHORS README THANKS NEWS ChangeLog
%{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root,0755)
%doc doc/*.html doc/DETAILS
%{_bindir}/*-config
%{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_libdir}/lib*.a
%{_includedir}/*.h
%{_datadir}/aclocal/*.m4

%changelog
* Mon Feb 13 2006 Nived Gopalan <nived at trustix dot org> 0.5.8-1tr
- New Upstream.

* Tue Nov 15 2005 Bipin S <bipin at trustix dot org> 0.5.5-5tr
- Fixed underquoted definition warning, Bug#1408.

* Tue Mar 01 2005 Ajith Thampi <ajith at comodo dot com> 0.5.5-1tr
- initial spec for tsl-3.0
